Subject: Re: linux-next: Tree for May 15 (crypto /crct10dif)

From: Tim Chen <[email-masked]>
Date: Thu, 16 May 2013 09:09:54 -0700

On Thu, 2013-05-16 at 09:22 +0200, Geert Uytterhoeven wrote:
> On Thu, May 16, 2013 at 5:57 AM, Xiong Zhou <[email-masked]> wrote:
> > --- a/crypto/Kconfig
> > +++ b/crypto/Kconfig
> > @@ -378,6 +378,7 @@ config CRYPTO_CRC32_PCLMUL
> >
> >  config CRYPTO_CRCT10DIF
> >         tristate "CRCT10DIF algorithm"
> > +       depends on CRC_T10DIF
> 
> This is a library symbol, so "select CRC_T10DIF"?
> 

I think "depends on" CRC_T10DIF is okay.  This generic transform is not
needed if we are not using the T10-DIF library.  It is meant for
wrapping the library call to t10-dif as a crypto transform.

> >         select CRYPTO_HASH
> >         help
> >           CRC T10 Data Integrity Field computation is being cast as
> 
> Gr{oetje,eeting}s,
> 
>                         Geert
> 
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
> 
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                 -- Linus Torvalds
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/